"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
var ListItemMixin = {
    props: {
        icon: String,
        size: String,
        center: Boolean,
        isLink: Boolean,
        required: Boolean,
        clickable: Boolean,
        titleStyle: null,
        titleClass: null,
        valueClass: null,
        labelClass: null,
        labelNumber: [Number, String],
        title: [Number, String],
        value: [Number, String],
        label: [Number, String],
        arrowDirection: String,
        border: {
            type: Boolean,
            "default": true
        }
    }
};

exports["default"] = ListItemMixin;
module.exports = exports.default;