'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var PikcerViewMixin = {
    props: {
        title: String,
        showToolbar: Boolean,
        cancelButtonText: {
            type: String,
            'default': '取消'
        },
        confirmButtonText: {
            type: String,
            'default': '确认'
        },
        allowHtml: {
            type: Boolean,
            'default': true
        },
        visibleItemCount: {
            type: Number,
            'default': 5
        },
        itemHeight: {
            type: Number,
            'default': 44
        },
        swipeDuration: {
            type: Number,
            'default': 1000
        },
        defaultIndex: {
            type: Number,
            'default': 0
        },
        columns: {
            type: Array,
            'default': function _default() {
                return [];
            }
        },
        toolbarPosition: {
            type: String,
            'default': 'top'
        },
        valueKey: {
            type: String,
            'default': 'text'
        }
    }
};

exports['default'] = PikcerViewMixin;
module.exports = exports.default;