'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

require('./index.less');

var WhiteSpace = {
    name: '',
    props: {
        size: {
            type: String,
            'default': 'base'
        }
    },
    render: function render(h) {
        var size = this.size,
            style = this.style;

        var className = {
            'sn-white-space': true
        };
        className['sn-white-space-' + size] = true;

        return h('div', {
            'class': className,
            style: style
        });
    }
};

exports['default'] = WhiteSpace;
module.exports = exports.default;